[arch-commits] CVS update of extra/multimedia/ardour (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jun 23 12:02:25 EDT 2007


    Date: Saturday, June 23, 2007 @ 12:02:25
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia/ardour

Modified: PKGBUILD (1.27 -> 1.28)

Build for curl in testing


----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)


Index: extra/multimedia/ardour/PKGBUILD
diff -u extra/multimedia/ardour/PKGBUILD:1.27 extra/multimedia/ardour/PKGBUILD:1.28
--- extra/multimedia/ardour/PKGBUILD:1.27	Thu Jun 21 09:57:28 2007
+++ extra/multimedia/ardour/PKGBUILD	Sat Jun 23 12:02:25 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.27 2007/06/21 13:57:28 pierre Exp $
+# $Id: PKGBUILD,v 1.28 2007/06/23 16:02:25 jgc Exp $
 # Maintainer: tobias <tobias at archlinux.org>
 # Contributor: ... let's say it was teamwork ...
 
@@ -14,8 +14,9 @@
 arch=(i686 x86_64)
 license=('GPL')
 url="http://ardour.org"
-depends=('liblrdf' 'libsamplerate' 'jack-audio-connection-kit' 'flac' 'curl>=7.16.2' \
-         'libart-lgpl' 'ladspa' 'libxslt' 'libgnomecanvas' 'liblo' 'libusb')
+depends=('liblrdf>=0.4.0-5' 'libsamplerate' 'jack-audio-connection-kit' 'flac'
+	 'curl>=7.16.2' 'libart-lgpl' 'ladspa' 'libxslt' 'libgnomecanvas'
+	 'liblo' 'libusb')
 makedepends=('librsvg' 'scons' 'boost')
 install=${pkgname}.install
 source=(http://ardour.org/files/releases/${pkgname}-${pkgver}.tar.bz2 \
@@ -35,10 +36,10 @@
   sed -i '/-O3/d' SConstruct
   scons ARCH="${CFLAGS}" \
         PREFIX="/usr" \
-        DESTDIR="${startdir}/pkg"
+        DESTDIR="${startdir}/pkg" || return 1
   scons PREFIX="/usr" \
         DESTDIR="${startdir}/pkg" \
-        install
+        install || return 1
    # install some freedesktop.org compatibility
   install -D -m644 ${startdir}/src/${pkgname}.desktop \
     ${startdir}/pkg/usr/share/applications/${pkgname}.desktop




More information about the arch-commits mailing list